﻿''' <summary>
''' 塗りつぶしに関するプロパティ画面です。
''' </summary>
''' <remarks></remarks>
Public Class FillProperty

    ''' <summary>
    ''' Load
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/11 NiceVision
    ''' </remarks>
    Private Sub FillProperty_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        '初期化処理を行います。
        Call Initialize()
    End Sub

    ''' <summary>
    ''' 初期化処理
    ''' </summary>
    ''' <remarks>
    ''' 2008/09/11 NiceVision
    ''' </remarks>
    Private Sub Initialize()
        'タイトルです。
        Me.lblTitle.Text = "塗りつぶしに関するプロパティ"

        '説明文です。
        Me.lblDescription.Text = "塗りつぶしの設定は、以下のプロパティで行います。"

    End Sub

    ''' <summary>
    ''' 変更色を設定します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/11 NiceVision
    ''' </remarks>
    Private Sub cmdFillColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles cmdFillColor1.Click, cmdFillColor2.Click

        Dim color As System.Drawing.Color
        Using frmColorDialog As New ColorDialog()
            If frmColorDialog.ShowDialog() <> DialogResult.OK Then
                Return
            End If
            color = frmColorDialog.Color
        End Using 'frmColorDialog

        'カラーサンプル用シェイプに変更色を設定します。
        If sender.Equals(Me.cmdFillColor1) Then
            Me.rspColorSample1.FillColor1 = color
        ElseIf sender.Equals(Me.cmdFillColor2) Then
            Me.rspColorSample2.FillColor1 = color
        End If

    End Sub

    ''' <summary>
    ''' グループボックス内のシェイプを、変更色に設定します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/11 NiceVision
    ''' </remarks>
    Private Sub cmdChangeColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles cmdChangeColor.Click
        'グループボックス内のシェイプの色を設定します。
        Call SetFillColor(Me.rspColorSample1.FillColor1, Me.rspColorSample2.FillColor1)
    End Sub

    ''' <summary>
    ''' グループボックス内のシェイプを、初期値に戻します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/11 NiceVision
    ''' </remarks>
    Private Sub cmdInitColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles cmdInitColor.Click
        'カラーサンプル用シェイプの色を設定します。
        Me.rspColorSample1.FillColor1 = Color.Red
        Me.rspColorSample2.FillColor1 = Color.White
        'グループボックス内のシェイプの色を設定します。
        Call SetFillColor(Me.rspColorSample1.FillColor1, Me.rspColorSample2.FillColor1)
    End Sub

    ''' <summary>
    ''' グループボックス内のシェイプの色を設定します。
    ''' </summary>
    ''' <param name="color1">FillColor1に適用する色</param>
    ''' <param name="color2">FillColor2に適用する色</param>
    ''' <remarks>
    ''' 2008/09/11 NiceVision
    ''' </remarks>
    Private Sub SetFillColor(ByVal color1 As System.Drawing.Color, ByVal color2 As System.Drawing.Color)
        'FillGradientStyleグループボックス
        For Each control As System.Windows.Forms.Control In Me.grpFillGradientStyle.Controls
            If TypeOf (control) Is Nicevision.NvShapes.RectangleShape Then
                CType(control, Nicevision.NvShapes.RectangleShape).FillColor1 = color1
                CType(control, Nicevision.NvShapes.RectangleShape).FillColor2 = color2
            End If
        Next control

        'FillStyleグループボックス
        For Each control As System.Windows.Forms.Control In Me.grpFillStyle.Controls
            If TypeOf (control) Is Nicevision.NvShapes.RectangleShape Then
                CType(control, Nicevision.NvShapes.RectangleShape).FillColor1 = color1
                CType(control, Nicevision.NvShapes.RectangleShape).FillColor2 = color2
            End If
        Next control
    End Sub

End Class