﻿''' <summary>
''' LineShapeコントロールのプロパティ画面です。
''' </summary>
''' <remarks></remarks>
Public Class LineShapeProperty

    ''' <summary>フォーム内のグループボックスを格納します</summary>
    Private _listGroupBox As New List(Of Control)

    ''' <summary>
    ''' Load
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/16 NiceVision
    ''' </remarks>
    Private Sub LineShapeProperty_Load(ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles Me.Load
        '初期化処理を行います。
        Call Initialize()
    End Sub

    ''' <summary>
    ''' 初期化処理
    ''' </summary>
    ''' <remarks>
    ''' 2008/09/16 NiceVision
    ''' </remarks>
    Private Sub Initialize()
        'タイトルです。
        Me.lblTitle.Text = "LineShapeコントロールのプロパティ"

        '説明文です。
        Me.lblDescription.Text = "LineShapeコントロールの設定は、以下のプロパティで行います。"

        'フォーム内にあるグループボックスを取得します。
        For Each control As System.Windows.Forms.Control In Me.Controls
            If TypeOf (control) Is Windows.Forms.GroupBox Then
                Me._listGroupBox.Add(control)
            End If
        Next control
        Me._listGroupBox.AddRange(Me._listGroupBox.ToArray)

    End Sub

    ''' <summary>
    ''' 線幅を設定します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/16 NiceVision
    ''' </remarks>
    Private Sub nudLineWidth_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles nudLineWidth.ValueChanged
        Me.lspLineWidth.LineWidth = Me.nudLineWidth.Value
    End Sub

    ''' <summary>
    ''' シェイプの変更色を設定します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/16 NiceVision
    ''' </remarks>
    Private Sub cmdLineColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles cmdLineColorDark.Click _
            , cmdLineColorLight.Click

        Dim color As System.Drawing.Color
        Using frmColorDialog As New ColorDialog()
            If frmColorDialog.ShowDialog() <> DialogResult.OK Then
                Return
            End If
            color = frmColorDialog.Color
        End Using 'frmColorDialog

        'カラーサンプル用シェイプに変更色を設定します。
        If sender.Equals(Me.cmdLineColorDark) Then
            Me.rspColorSample1.FillColor1 = color
        ElseIf sender.Equals(Me.cmdLineColorLight) Then
            Me.rspColorSample2.FillColor1 = color
        End If
    End Sub

    ''' <summary>
    ''' シェイプを変更色に設定します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/16 NiceVision
    ''' </remarks>
    Private Sub cmdChangeColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles cmdChangeColor.Click
        'シェイプの色を設定します。
        Call SetLineColor(Me.rspColorSample1.FillColor1, Me.rspColorSample2.FillColor1)
    End Sub

    ''' <summary>
    ''' 初期値に戻します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/16 NiceVision
    ''' </remarks>
    Private Sub cmdInitColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles cmdInitColor.Click
        'カラーサンプル用シェイプの色を設定します。
        Me.rspColorSample1.FillColor1 = Color.Black
        Me.rspColorSample2.FillColor1 = Color.White
        'シェイプの色を設定します。
        Call SetLineColor(Me.rspColorSample1.FillColor1, Me.rspColorSample2.FillColor1)
    End Sub

    ''' <summary>
    ''' グループボックス内のシェイプの色を設定します。
    ''' </summary>
    ''' <param name="color1">LineColorDarkプロパティに適用する色</param>
    ''' <param name="color2">LineColorLightプロパティに適用する色</param>
    ''' <remarks>
    ''' 2008/09/16 NiceVision
    ''' </remarks>
    Private Sub SetLineColor(ByVal color1 As System.Drawing.Color, ByVal color2 As System.Drawing.Color)
        For ii As Integer = 0 To Me._listGroupBox.Count - 1
            For Each control As System.Windows.Forms.Control In Me._listGroupBox.Item(ii).Controls
                If TypeOf (control) Is Nicevision.NvShapes.LineShape Then
                    CType(control, Nicevision.NvShapes.LineShape).LineColorDark = color1
                    CType(control, Nicevision.NvShapes.LineShape).LineColorLight = color2
                End If
            Next control
        Next ii
    End Sub

End Class