﻿''' <summary>
''' LineShapeコントロール画面です。
''' </summary>
''' <remarks></remarks>
Public Class LineShape

    ''' <summary>
    ''' Load
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/10 NiceVision
    ''' </remarks>
    Private Sub LineShape_Load(ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles Me.Load
        '初期化処理を行います。
        Call Initialize()
    End Sub

    ''' <summary>
    ''' 初期化処理
    ''' </summary>
    ''' <remarks>
    ''' 2008/09/10 NiceVision
    ''' </remarks>
    Private Sub Initialize()

        'タイトルです。
        Me.lblTitle.Text = "LineShape"

        'プロパティの説明です。
        Me.lblCapDash.Text = String.Concat("破線の各ダッシュの両端に使用するキャップを取得および設定します。", vbCrLf _
                        , "既定値：CapDashStyle.None")

        Me.lblCapLineEnd.Text = String.Concat("線の終点で使用するキャップを取得および設定します。", vbCrLf _
                        , "CapStyleType.NoAnchor、LineStyleプロパティがGroove、Ridge、Gradientの場合、このプロパティは無視されます。", vbCrLf _
                        , "既定値：CapLineStyleType.NoAnchor")

        Me.lblCapLineStart.Text = String.Concat("線の始点で使用するキャップを取得および設定します。", vbCrLf _
                        , "CapStyleType.NoAnchor、LineStyleプロパティがGroove、Ridge、Gradientの場合、このプロパティは無視されます。", vbCrLf _
                        , "既定値：CapLineStyleType.NoAnchor")

        Me.lblGradientStyle.Text = String.Concat("グラデーションの方向を取得および設定します。", vbCrLf _
                        , "LineStyleプロパティがGradientの場合、このプロパティは有効です。", vbCrLf _
                        , "LineColorDarkプロパティからLineColorLightプロパティで指定した色までのグラデーションを作成します。", vbCrLf _
                        , "既定値：Drawing2D.LinearGradientMode.Horizontal")

        Me.lblLineColorDark.Text = String.Concat("線の濃い色を取得および設定します。", vbCrLf _
                        , "既定値：System.Drawing.Color.Black")

        Me.lblLineColorLight.Text = String.Concat("線の明るい色を取得および設定します。", vbCrLf _
                        , "LineStyleプロパティがGroove、Ridge、Gradientの場合、このプロパティは有効です。", vbCrLf _
                        , "既定値：System.Drawing.Color.White")

        Me.lblLineDirection.Text = String.Concat("線の描画方向を取得および設定します。", vbCrLf _
                        , "既定値：LineDirectionType.Horizontal")

        Me.lblLineStyle.Text = String.Concat("線の種類を取得および設定します。", vbCrLf _
                        , "既定値：LineStyle.Solid")

        Me.lblLineWidth.Text = String.Concat("線の太さを取得および設定します。", vbCrLf, "既定値：1")

        Me.lblCaution.Text = String.Concat("【注意】", vbCrLf _
                        , "BackColorプロパティ、ForeColorプロパティでは、LineShapeコントロールの色の設定を行うことができません。", vbCrLf _
                        , "LineColorDarkプロパティ、LineColorLightプロパティをご使用ください。")

    End Sub

    ''' <summary>
    ''' LineShapeコントロールのプロパティ画面を開きます。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/10 NiceVision
    ''' </remarks>
    Private Sub linkCapDash_LinkClicked(ByVal sender As Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) _
    Handles linkCapDash.LinkClicked _
            , linkCapLineEnd.LinkClicked _
            , linkCapLineStart.LinkClicked _
            , linkGradientStyle.LinkClicked _
            , linkLineColorDark.LinkClicked _
            , linkLineColorLight.LinkClicked _
            , linkLineDirection.LinkClicked _
            , linkLineStyle.LinkClicked _
            , linkLineWidth.LinkClicked

        Using frm As New LineShapeProperty
            frm.ShowDialog()
        End Using
    End Sub
End Class