﻿''' <summary>
''' CornerRadiusプロパティ画面です。
''' </summary>
''' <remarks></remarks>
Public Class CornerRadius

    ''' <summary>
    ''' Load
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/12 NiceVision
    ''' </remarks>
    Private Sub CornerRadius_Load(ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles Me.Load
        '初期化処理を行います。
        Call Initialize()
    End Sub

    ''' <summary>
    ''' 初期化処理
    ''' </summary>
    ''' <remarks>
    ''' 2008/09/12 NiceVision
    ''' </remarks>
    Private Sub Initialize()
        'タイトルです。
        Me.lblTitle.Text = "CornerRadiusプロパティ"

        '説明文です。
        Me.lblCornerRadius.Text = String.Concat("コーナーを丸める領域の半径を取得および設定します。", vbCrLf _
                                , "既定値：0")

        '初期表示時、枠線ありに設定します。
        Me.chkBorder.Checked = True

    End Sub

    ''' <summary>
    ''' コーナーを丸める領域の半径を設定します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/11 NiceVision
    ''' </remarks>
    Private Sub nudCornerRadius_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles nudCornerRadius.ValueChanged
        Me.rspSampleCorner.CornerRadius = CInt(Me.nudCornerRadius.Value)
    End Sub

    ''' <summary>
    ''' 枠線の表示を設定します。
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2008/09/12 NiceVision
    ''' </remarks>
    Private Sub chkBorder_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) _
    Handles chkBorder.CheckedChanged
        If Me.chkBorder.Checked = True Then
            '枠線を1本線に設定します。
            Me.rspSampleCorner.BorderStyle = Nicevision.NvShapes.BorderStyleType.Solid
            Me.rspSampleCorner.BorderColorDark = Color.Black
        Else
            '枠線なしに設定します。
            Me.rspSampleCorner.BorderStyle = Nicevision.NvShapes.BorderStyleType.None
        End If
    End Sub

End Class